%define upstream_version 2.1-1

Summary:   Intel / AMD CPU Microcode Utility
Name:      microcode_ctl
Version:   2.1
Release:   %mkrel 7
Group:     System/Kernel and hardware
License:   GPLv2
Url:       http://fedorahosted.org/microcode_ctl
Source0:   http://fedorahosted.org/released/microcode_ctl/%{name}-%{upstream_version}.tar.xz
# Intel firmware downloader (Debian)
Source2:   update-intel-microcode
Source3:   update-intel-microcode.8
# AMDl firmware downloader
Source4:   update-amd-microcode
Source5:   update-amd-microcode.8
# needed by firmware downloaders
Recommends:  curl
# we have microcode packaged
Recommends:  microcode
Requires(post): rpm-helper
Requires(preun): rpm-helper
ExclusiveArch: %ix86 x86_64

%description
Since PentiumPro, Intel CPU are made of a RISC chip and of a microcode whose
purpose is to decompose "old" ia32 instruction into new risc ones.
P6 familly is concerned: PPro, PII, Celeron, PIII, Celeron2, Core 2, ...
Recent kernels have the ability to update this microcode.

The microcode update is volatile and needs to be uploaded on each system
boot. I.e. it doesn't reflash your cpu permanently.
Reboot and it reverts back to the old microcode.

This package also support updating latest AMD CPU microcode.

%prep
%setup -q -n %{name}-%{upstream_version}

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p %{buildroot}%{_mandir}/man8
%makeinstall_std INSDIR=%{_sbindir} PREFIX=/usr
# do not ship non-free firmware in this package
rm -rf %buildroot/lib/firmware
# install intel firmware downloader 
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_sbindir}
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_mandir}/man8
# install AMD firmware downloader 
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT%{_sbindir}
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_mandir}/man8
#
mkdir -p $RPM_BUILD_ROOT/lib/firmware/amd-ucode 
mkdir -p $RPM_BUILD_ROOT/lib/firmware/intel-microcode

%files
%doc README
%_sbindir/*
%_mandir/man8/*
/lib/firmware/amd-ucode
/lib/firmware/intel-microcode

%preun
%_preun_service %{name}


%changelog
* Fri Jun 16 2017 zezinho <zezinho> 2.1-7.mga6
+ Revision: 1107798
- remove cron for intel download as upstream rss was removed

* Mon Feb 29 2016 zezinho <zezinho> 2.1-6.mga6
+ Revision: 980847
- remove service calls (mga#17832)

* Mon Feb 08 2016 umeabot <umeabot> 2.1-5.mga6
+ Revision: 947976
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1-4.mga5
+ Revision: 744380
- Second Mageia 5 Mass Rebuild

* Mon Sep 15 2014 tv <tv> 2.1-3.mga5
+ Revision: 676039
- s/uggests:/Recommends:/
- drop the service as microcode is now autoloaded

* Fri Dec 20 2013 tv <tv> 2.1-3.mga4
+ Revision: 559058
- fix loading microcode: just load kernel module + fix path (mga#11934)

* Mon Oct 21 2013 umeabot <umeabot> 2.1-2.mga4
+ Revision: 540556
- Mageia 4 Mass Rebuild

  + tv <tv>
    - fix AMD URL

* Wed Oct 09 2013 tv <tv> 2.1-1.mga4
+ Revision: 493879
- new release
- new URL

* Sat Jan 12 2013 umeabot <umeabot> 1.17-15.mga3
+ Revision: 360024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 19 2012 zezinho <zezinho> 1.17-14.mga3
+ Revision: 261992
- cleanup spec

  + alien <alien>
    - Fix wrong exit-code on newer kernels #4327 & #6175

  + tv <tv>
    - make it clear latest Intel CPUs are supported

* Sat Jan 15 2011 tmb <tmb> 1.17-13.mga1
+ Revision: 19865
- suggest microcode
- imported package microcode_ctl

